/*!
 * ContractCase Core HTTP Plugin
 * Copyright(c) 2022-2024 Timothy Jones (TLJ)
 * BSD-3-Clause license
 */
import { ContractCasePlugin } from '@contract-case/case-plugin-base';
import { FUNCTION_ARGUMENTS_MATCHER_TYPE, MOCK_FUNCTION_EXECUTION, CoreFunctionArgumentsMatcher, MOCK_FUNCTION_CALLER } from '@contract-case/case-core-plugin-function-dsl';
import { AllDescriptors, AllSetup } from './mocks/types';
export * from './matchers';
export * from './mocks';
declare const CoreHttpPlugin: ContractCasePlugin<typeof FUNCTION_ARGUMENTS_MATCHER_TYPE, typeof MOCK_FUNCTION_EXECUTION | typeof MOCK_FUNCTION_CALLER, CoreFunctionArgumentsMatcher, AllDescriptors, AllSetup>;
export default CoreHttpPlugin;
//# sourceMappingURL=index.d.ts.map